- Main Page
- Namespaces
- Classes
- Files
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exiv2::TiffMnEntry Class Reference

This class is the basis for Makernote support in TIFF. It contains a pointer to a concrete Makernote. The TiffReader visitor has the responsibility to create the correct Make/Model specific Makernote for a particular TIFF file. Calls to child management methods are forwarded to the concrete Makernote, if there is one. More...

`#include <tiffcomposite.hpp>`

Inheritance diagram for Exiv2::TiffMnEntry:

[legend]
Collaboration diagram for Exiv2::TiffMnEntry:

[legend]
List of all members.

## Public Member Functions
Creators
| TiffMnEntry (uint16_t tag, uint16_t group, uint16_t mnGroup)
| Default constructor.
virtual | ~TiffMnEntry ()
| Virtual destructor.
## Friends
class | TiffReader
class | TiffMetadataDecoder
class | TiffPrinter

## Detailed Description

This class is the basis for Makernote support in TIFF. It contains a pointer to a concrete Makernote. The TiffReader visitor has the responsibility to create the correct Make/Model specific Makernote for a particular TIFF file. Calls to child management methods are forwarded to the concrete Makernote, if there is one.

The documentation for this class was generated from the following files:

- tiffcomposite.hpp
- tiffcomposite.cpp